package ru.kayashov.bar.bot.domain.methods;

import lombok.Builder;
import lombok.Getter;
import ru.kayashov.bar.bot.domain.Bot;
import ru.kayashov.bar.bot.domain.model.AbstractKeyboard;

@Getter
public class AbstractInlineKeyboard extends AbstractMethod {

    private final String message;
    private final AbstractKeyboard keyboard;

    @Builder
    public AbstractInlineKeyboard(Long chatId, String message, AbstractKeyboard keyboard) {
        super(chatId);
        this.message = message;
        this.keyboard = keyboard;
    }

    @Override
    public void execute(Bot nBot) {
        nBot.sendInlineKeyboard(this);
    }
}
